package sudoku;

public class ContrainteColonne implements Contrainte {
    @Override
    public boolean estRespectee(Grille grille, Case c) {
        int colonne = c.getColonne();
        Symbole symbole = c.getSymbole();
        for (int ligne = 0; ligne < grille.getTaille(); ligne++) {
            Case currentCase = grille.getCase(ligne, colonne);
            if (currentCase != c && currentCase.getSymbole() != null && currentCase.getSymbole().equals(symbole)) {
                return false;
            }
        }
        return true;
    }
}